/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.List;

import com.wechat.model.dto.VipPackagePriceDto;

/**
 * 单表生成Entity
 * 
 * @author tangwc
 * @version 2018-06-08
 */
public class MdeVipPackage extends BaseEntity {

	private static final long serialVersionUID = 1L;
	private int pkgId; // 套餐id
	private String pkgType; // 套餐类型[1-个人；2-企业]
	private String pkgTitle; // 套餐标题
	private String pkgIntroduction; // 套餐简介
	private String pkgDetail; // 套餐详情
	private String pkgStatus; // 状态[1-草稿；2-待上架；3-在售；4-停售]
	private String recommended; // 是否推荐
	private String vipFlag; // 会员等级标识
	private String pkgTitleEn; // 套餐标题英文
	private String pkgIntroductionEn; // 套餐简介英文
	private String pkgDetailEn; // 套餐详情英文
	private Integer sort; // 排序字段

	private List<VipPackagePriceDto> pkgDetails;// 套餐价格，有效期
	
	public MdeVipPackage() {
		super();
	}
	
	public String getPkgTitleEn() {
		return pkgTitleEn;
	}

	public void setPkgTitleEn(String pkgTitleEn) {
		this.pkgTitleEn = pkgTitleEn;
	}

	public String getPkgIntroductionEn() {
		return pkgIntroductionEn;
	}

	public void setPkgIntroductionEn(String pkgIntroductionEn) {
		this.pkgIntroductionEn = pkgIntroductionEn;
	}

	public String getPkgDetailEn() {
		return pkgDetailEn;
	}

	public void setPkgDetailEn(String pkgDetailEn) {
		this.pkgDetailEn = pkgDetailEn;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	// @Length(min=1, max=11, message="套餐id长度必须介于 1 和 11 之间")
	public int getPkgId() {
		return pkgId;
	}

	public void setPkgId(int pkgId) {
		this.pkgId = pkgId;
	}

	// @Length(min=1, max=1, message="套餐类型[1-个人；2-企业]长度必须介于 1 和 1 之间")
	public String getPkgType() {
		return pkgType;
	}

	public void setPkgType(String pkgType) {
		this.pkgType = pkgType;
	}

	// @Length(min=1, max=10, message="套餐标题长度必须介于 1 和 10 之间")
	public String getPkgTitle() {
		return pkgTitle;
	}

	public void setPkgTitle(String pkgTitle) {
		this.pkgTitle = pkgTitle;
	}

	// @Length(min=1, max=50, message="套餐简介长度必须介于 1 和 50 之间")
	public String getPkgIntroduction() {
		return pkgIntroduction;
	}

	public void setPkgIntroduction(String pkgIntroduction) {
		this.pkgIntroduction = pkgIntroduction;
	}

	public String getPkgDetail() {
		return pkgDetail;
	}

	public void setPkgDetail(String pkgDetail) {
		this.pkgDetail = pkgDetail;
	}

	// @Length(min=1, max=1, message="状态[1-草稿；2-待上架；3-在售；4-停售]长度必须介于 1 和 1 之间")
	public String getPkgStatus() {
		return pkgStatus;
	}

	public void setPkgStatus(String pkgStatus) {
		this.pkgStatus = pkgStatus;
	}

	public List<VipPackagePriceDto> getPkgDetails() {
		return pkgDetails;
	}

	public void setPkgDetails(List<VipPackagePriceDto> pkgDetails) {
		this.pkgDetails = pkgDetails;
	}

	public String getRecommended() {
		return recommended;
	}

	public void setRecommended(String recommended) {
		this.recommended = recommended;
	}

	public String getVipFlag() {
		return vipFlag;
	}

	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}

}